package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.PlcObjectPO;
import mhp.oee.po.gen.PlcObjectPOExample;

public interface PlcObjectPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_object
     *
     * @mbggenerated
     */
    int countByExample(PlcObjectPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_object
     *
     * @mbggenerated
     */
    int deleteByExample(PlcObjectPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_object
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_object
     *
     * @mbggenerated
     */
    int insert(PlcObjectPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_object
     *
     * @mbggenerated
     */
    int insertSelective(PlcObjectPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_object
     *
     * @mbggenerated
     */
    List<PlcObjectPO> selectByExample(PlcObjectPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_object
     *
     * @mbggenerated
     */
    PlcObjectPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_object
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") PlcObjectPO record, @Param("example") PlcObjectPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_object
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") PlcObjectPO record, @Param("example") PlcObjectPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_object
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(PlcObjectPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table plc_object
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(PlcObjectPO record);
}